local usingW1 = W1Pref == "Everywhere" or (W1Pref == "CoursesOnly" and GAMESTATE:IsCourseMode())

local Score = {
	-- Based on my poor memory of DDR A scoring
	dance = {
		W1 = 100,
		W2 = usingW1 and 99 or 100,
		W3 = 80,
		W4 = 50,
		W5 = 10,
		Miss = 0,
		Ouch = -10
	},
	-- Based on nothing
	para = {
		W1 = 100, -- optional Cool
		W2 = usingW1 and 99 or 100,
		W3 = 80,
		W4 = 60,
		W5 = 10, -- doesn't exist, but failsafe
		Miss = 0
	},
	-- Based on AAAAAAAAAAAAAA
	ez2 = {
		W1 = 100, -- nonexistent!
		W2 = 100,
		W3 = 80, -- argh
		W4 = 75,
		W5 = 10, -- I mean really--
		Miss = 0
	},
}

return function(judg)
	if Score[GAMESTATE:GetCurrentGame():GetName()] then
		return Score[GAMESTATE:GetCurrentGame():GetName()][judg] or Score.dance[judg]
	end
	return Score.dance[judg]
end